import { defineStore } from "pinia"
import { computed, ref } from "vue"
import { script } from "../shared/script"
import type { PlayerBroadcast } from "../shared/broadcast"

export const useGame = defineStore("gameState", () => {
    const currentSceneId = ref(script.scenesById.values().next().value!.id)
    const currentScene = computed(() => script.scenesById.get(currentSceneId.value)!)

    return {
        currentScene,
        handlePlayerBroadcast(broadcast: PlayerBroadcast) {
            console.log(broadcast)
        }
    }
})