import type { SceneDefinitionBase } from "../../shared/script/types"
import type { Component } from "vue"

export interface SceneType<DefinitionT extends SceneDefinitionBase, ControllerT extends SceneController> {
    id: DefinitionT["type"]
    playerView: Component<{ controller: ControllerT }>
    createController(definition: DefinitionT): ControllerT
}

export interface SceneController<EventT = any> {
    handleEvent(event: EventT): void
}